#include <string>

using std::string;

#include "classes.hh"

class Agent
{
	defclassvar(string, name, const string &, getname)
	defclassvar(unsigned, load, unsigned, getload)
public:
	Agent(const string &n, unsigned l): name(n), load(l) { }
	bool operator== (const Agent &b) const;
	inline bool operator!= (const Agent &b) const { return ! operator==(b); }

	void dump() const;
};
